Fix brew update – Error: /usr/local must be writable!

Hi guys just a quick reminder on how to fix this Homebrew error below:

I was running this command:

It returned the error message below:

Just fix this by doing:

And you are good to go.

See Ya!

 

  • Test

  • Br. Bill

    There’s got to be a better way to deal with this.

    • Thanks for your comment Bill,
      Please feel free to share the solution when you find.

      • Br. Bill

        I wish I were savvy enough to have one ready. I do thank you for publishing this workaround here. It worked for me. I just hate messing with the infrastructure, and I worry that every O/S upgrade will put back the permissions the way they were, breaking brew.